Option Explicit

Dim objShell, objFSO, strDateTime, year, month, day, hour, minute
Dim sourceDir, targetDir, folderName, logFile, command

' Create the Shell and FileSystem objects
Set objShell = CreateObject("WScript.Shell")
Set objFSO = CreateObject("Scripting.FileSystemObject")

' Get the current date and time in a consistent format using WMIC
Dim objExec
Set objExec = objShell.Exec("wmic os get localdatetime /value")
Do While objExec.Status = 0
    WScript.Sleep 100
Loop
strDateTime = Trim(Split(objExec.StdOut.ReadAll(), "=")(1))

' Extract date and time components
year = Mid(strDateTime, 1, 4)
month = Mid(strDateTime, 5, 2)
day = Mid(strDateTime, 7, 2)
hour = Mid(strDateTime, 9, 2)
minute = Mid(strDateTime, 11, 2)

' Define source and target directories
sourceDir = "C:\DWG"
targetDir = "D:\DWG"

' Define the folder name based on the current date and time
folderName = year & "-" & month & "-" & day & "-" & hour & "-" & minute

' Define the log file path
logFile = targetDir & "\COPY.LOG"

' Form the Robocopy command with MIR option, retry, and wait settings
command = "robocopy """ & sourceDir & """ """ & targetDir & "\" & folderName & """ /MIR /R:3 /W:15 /LOG+:""" & logFile & """"

' Execute Robocopy command in the background
objShell.Run "cmd /c " & command, 0, True

' Clean up
Set objShell = Nothing
Set objFSO = Nothing
Set objExec = Nothing